C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION MACPR
	IMPLICIT LOGICAL*1(A)
	IMPLICIT INTEGER*2(D-Z)
	COMMON/IN/NA,A(76)
	COMMON/MAC/AMACRO,AFLAG,ICM,ICN,ANAME(16),IREDNM(4)
	IF(AMACRO)GOTO 250
	MACPR=1
C*****PRINT MACRO FILE
160	NLNE=1
	IF(LOOKUP(ICM,IREDNM).LT.0)GOTO 200
	CALL CLOSEC(ICM)
	OPEN(UNIT=ICM,NAME=ANAME,TYPE='OLD',ERR=190)
165	READ(ICM,220,END=170,ERR=180)NA,A
	WRITE(7,230)NLNE,(A(I),I=1,NA)
	NLNE=NLNE+1
	GOTO 165
170	CLOSE(UNIT=ICM)
	RETURN
180	CLOSE(UNIT=ICM)
190	MACPR=-1
	RETURN
200	WRITE(7,205)
	RETURN
205	FORMAT(1X,'FILE NOT FOUND')
220	FORMAT(I6,76A1)
230	FORMAT(1X,'LINE:',I6,'-',76A1)
250	MACPR=0
	RETURN
	END
